<?php

$wp_analytify = new WP_Analytify();

if (! function_exists( 'curl_init' ) ) {
	
	esc_html_e( 'This plugin requires the CURL PHP extension', 'wp-analytify' );
	return false;
}

if (! function_exists( 'json_decode' ) ) {
	
	esc_html_e( 'This plugin requires the JSON PHP extension', 'wp-analytify' );
	return false;
}

if (! function_exists( 'http_build_query' )) {
	
	esc_html_e( 'This plugin requires http_build_query()', 'wp-analytify' );
	return false;
}


if( get_option( 'ANALYTIFY_USER_KEYS') == 'Yes' ) {

	$redirect_url	= get_option('ANALYTIFY_REDIRECT_URI');
	$client_id		= get_option('ANALYTIFY_CLIENTID');

}else{

	$redirect_url	= ANALYTIFY_REDIRECT;
	$client_id		= ANALYTIFY_CLIENTID;
}


$url = http_build_query( array(
	'next'            =>	$wp_analytify->pa_setting_url(),
	'scope'           =>	ANALYTIFY_SCOPE,
	'response_type'   =>	'code',
	'state'			  => 	get_admin_url() . 'admin.php?page=analytify-settings',
	'redirect_uri'    =>	$redirect_url,
	'client_id'       =>	$client_id,
	'access_type'     =>	'offline',
	'approval_prompt' =>	'force'
	)
);

/* Save user specific Keys, ID's and Redirect URI */
if ( isset( $_POST[ 'save_code' ] ) ) {
	
	if( isset($_POST['auth_step']) and $_POST['auth_step'] == 'Yes' ) {

		update_option('ANALYTIFY_USER_KEYS' , 		sanitize_text_field( $_POST['auth_step'] ));
		update_option('ANALYTIFY_CLIENTID' , 		sanitize_text_field( $_POST['analytify_clientid'] ));
		update_option('ANALYTIFY_CLIENTSECRET' , 	sanitize_text_field( $_POST['analytify_clientsecret'] ));
		update_option('ANALYTIFY_DEV_KEY' , 		sanitize_text_field( $_POST['analytify_apikey'] ));
		update_option('ANALYTIFY_REDIRECT_URI' , 	sanitize_text_field( $_POST['analytify_redirect_uri'] ));

	}

	if( !isset($_POST['auth_step']) ) {

		update_option('ANALYTIFY_USER_KEYS' , 'No' );
	}
	
/*	$key_google_token = $_POST[ 'key_google_token' ];

	if( $wp_analytify->pt_save_data( $key_google_token )){
		$update_message = '<div id="setting-error-settings_updated" class="updated settings-error below-h2"><p><strong>Access code saved.</strong></p></div>';
	}*/
}

// Saving settings for front end Analytics for Posts and Pages.

if ( isset( $_POST[ 'save_settings_front' ] ) ) {

	if(isset($_POST[ 'posts_front' ]))
		update_option('analytify_posts_stats_front', $_POST[ "posts_front" ]);
	else
		update_option('analytify_posts_stats_front', false);

	if(isset($_POST[ 'frontend_stats' ])){

		update_option('post_analytics_settings_front', $_POST[ "frontend_stats" ]);
	}

	update_option( 'post_analytics_exclude_posts_front', @$_POST[ 'exclude_posts_front' ]);
	update_option( 'post_analytics_access', $_POST[ 'access_role' ]);

	if( isset( $_POST[ 'disable_front' ] ) ) {

		update_option( 'analytify_disable_front', 1 );
	}
	else{

		update_option( 'analytify_disable_front', 0 );
	}

	$update_message = sprintf( esc_html__( '%1$s %2$s Front-end changes are saved. %3$s %4$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="updated notice is-dismissible settings-error below-h2">', '<p>', '</p>', '</div>');
} // endif

// Saving settings for back end Analytics for Posts and Pages.
if ( isset( $_POST[ 'save_settings_admin' ] ) ) {

	update_option( 'post_analytics_settings_back' , $_POST[ 'backend' ] );
	update_option( 'analytify_posts_stats' , $_POST[ 'posts' ] );
	update_option( 'post_analytics_access_back' , $_POST[ 'access_role_back' ] );
	update_option( 'post_analytics_disable_back' , @$_POST[ 'disable_back' ] );
	update_option( 'post_analytics_exclude_posts_back', @$_POST[ 'exclude_posts_back' ]);

	$update_message = sprintf( esc_html__( '%1$s %2$s Admin changes are saved. %3$s %4$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="updated notice is-dismissible settings-error below-h2">', '<p>', '</p>', '</div>');

} // endif


/*
 * Dashboard Tab Settings
 */
if( isset($_POST['save_settings_dashboard']) ) {

	if (isset($_POST[ 'analytify_dashboard_cache' ]))
		update_option( 'analytify_dashboard_cache' , $_POST[ 'analytify_dashboard_cache' ] );
	else
		update_option( 'analytify_dashboard_cache' , '0' );


	if (isset($_POST[ 'access_role_dashboard' ]))
		update_option( 'access_role_dashboard' , $_POST[ 'access_role_dashboard' ] );
	else
		update_option( 'access_role_dashboard' , 'Array()' );

	if (isset($_POST[ 'dashboard_panels' ]))
		update_option( 'dashboard_panels' , $_POST[ 'dashboard_panels' ] );
	else
		update_option( 'dashboard_panels' , 'Array()' );


	

}

// Saving Profiles
if (isset($_POST[ 'save_profile' ])) {

	$display_tracking_code = $_POST[ 'display_tracking_code' ];
	$tracking_code         = $_POST[ 'tracking_code' ];
	$web_profile           = ( isset($_POST[ 'webprofile' ]) ? $_POST[ 'webprofile' ]: false );
	$web_profile_dashboard = ( isset( $_POST[ 'webprofile_dashboard' ] ) ? $_POST['webprofile_dashboard']: false );


	if( $web_profile_dashboard ) {

		$web_profile_url = $_POST[ $web_profile_dashboard ];
		update_option( 'pt_webprofile_url', urldecode( urldecode( $web_profile_url )));
		update_option( 'pt_webprofile_dashboard', $web_profile_dashboard );
		update_option( 'pt_webprofile_name', $_POST[$web_profile_dashboard . '-name']);

	}

	if( $web_profile ) {

		$webPropertyId = $_POST[ $web_profile . "-1" ];

		update_option( 'webPropertyId', $webPropertyId );
		update_option( 'pt_webprofile', $web_profile );
		update_option( 'pt_webprofile_single_name', $_POST[ $web_profile . "-name" ] );
		update_option( 'pt_webprofile_single_url', urldecode( urldecode($_POST[ $web_profile . "-url" ])) );

	}


	update_option( 'analytify_tracking_code', $tracking_code);
	update_option( 'display_tracking_code', $display_tracking_code);

	if( isset( $_POST[ 'ga_code' ] ) ) {
		update_option( 'analytify_code', 1 );
	}
	else{
		update_option( 'analytify_code', 0 );
	}

	if(isset($_POST['hide_profiles'])) {
		update_option( 'hide_profiles', 1);
	}

	if( ! $web_profile ) {

		$update_message = sprintf( esc_html__( '%1$s %2$s %3$sNote:%4$s Please select your profile for posts.  %5$s %6$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="error notice is-dismissible settings-error below-h2">', '<p>', '<strong>', '</strong>', '</p>', '</div>');
	}
	else if ( ! $web_profile_dashboard ) {

		$update_message = sprintf( esc_html__( '%1$s %2$s %3$sNote:%4$s Please select your profile for dashboard. %5$s %6$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="error notice is-dismissible settings-error below-h2">', '<p>', '<strong>', '</strong>', '</p>', '</div>');
	}
	else{

		$update_message = sprintf( esc_html__( '%1$s %2$s Your Google Analytics Profile Saved. %3$s %4$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="updated notice is-dismissible settings-error below-h2">', '<p>', '</p>', '</div>');
	}

}

// Clear Authorization and other data
if (isset($_POST[ "clear" ])) {

	delete_option( 'pt_webprofile' );
	delete_option( 'pt_webprofile_dashboard' );
	delete_option( 'pt_webprofile_url' );
	delete_option( 'pa_google_token' );
	delete_option( 'pa_welcome_message' );
	delete_option( 'post_analytics_token' );
	delete_option( 'hide_profiles');

	delete_transient('profiles_list');

	$update_message = sprintf( esc_html__( '%1$s %2$s %3$s Authentication Cleared login again. %4$s %5$s %6$s', 'wp-analytify' ), '<div id="setting-error-settings_updated" class="updated notice is-dismissible settings-error below-h2">', '<p>', '<strong>', '</strong>', '</p>', '</div>');
}

// Load all the variables from DB

$hide_profile 			= get_option('hide_profiles');
$dashboard_profile_url	= get_option( 'pt_webprofile_url' );
$dashboard_profile_name = get_option('pt_webprofile_name');
$single_profile_name	= get_option( 'pt_webprofile_single_name' );
$single_profile_url		= get_option( 'pt_webprofile_single_url' );

//echo get_option('webPropertyId');
//var_dump($hide_profile);
?>

<div class="wrap">
	<h2 class='opt-title'><span id='icon-options-general' class='analytics-options'><img src="<?php echo plugins_url('wp-analytify-pro/images/wp-analytics-logo.png');?>" alt=""></span>
		<?php printf( esc_html__( '%1$s Settings', 'wp-analytify' ), 'WP Analytify Plugin' ); ?>
	</h2>
	
	<?php

	$tab = '';

	if (isset($update_message)) echo $update_message;
	
	if ( isset ( $_GET['tab'] ) ) $wp_analytify->pa_settings_tabs($_GET['tab']); 
	else $wp_analytify->pa_settings_tabs( 'authentication' );

	if ( isset ( $_GET['tab'] ) ) 
		$tab = $_GET['tab']; 
	else 
		$tab = 'authentication';

	// Authentication Tab section
	if( $tab == 'authentication' ) {
		?>

		<form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post" name="settings_form" id="settings_form">
			<table width="1004" class="form-table">
				<tbody>
					<?php if( get_option( 'pa_google_token' ) ) { ?>
						<tr>
							<p class="description"><br /><?php esc_html_e( 'You have allowed your site to access the Analytics data from Google. Logout below to disconnect it.', 'wp-analytify' ); ?><p>
						</tr>
						<tr>
							<td colspan="2"><input type="submit" class="button-primary" value="Logout" name="clear" /></td>
						</tr>
					<?php 
					}
					else { ?>

					<tr>
						<td width="877" colspan="2">
							<a target="_self" class="button-primary authentication_btn" href="https://accounts.google.com/o/oauth2/auth?<?php echo $url ?>"><?php esc_html_e( 'Log in with Google Analytics Account', 'wp-analytify' ); ?></a>
						</td>
					</tr>

					<?php } ?>
				</tbody>
			</table>
		</form>

		<?php
	} // endif
// Choose profiles for dashboard and posts at front/back.
	if( $tab == 'profile' ) {

		$profiles = get_transient('profiles_list');

		if( !$profiles ) {

			$profiles = $wp_analytify->pt_get_analytics_accounts();
			set_transient('profiles_list' , $profiles, 0 );
		}

/*	echo '<pre>';
		var_dump($profiles);
		echo '</pre>';*/

		if( isset( $profiles ) ) { ?>
		<p class="description"><br /><?php esc_html_e( 'Select your profiles for front-end and backend sections.', 'wp-analytify' ); ?></p>

		<form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post">
			<table width="1004" class="form-table">
				<tbody>
					<tr>
						<th width="115"><?php esc_html_e( 'Install Google Analytics tracking code :', 'wp-analytify' ); ?></th>
						<td width="877">
							<input type="checkbox" name="ga_code" value="1" 
							<?php if( get_option( 'analytify_code' ) == 1 ) { echo 'checked'; } ?>>
							<p class="description"><?php esc_html_e( 'Insert Google Analytics JS code in header to track the visitors. You can uncheck this option if you have already insert the GA code in your website.', 'wp-analytify' ); ?></p>
						</td>
					</tr>
					<tr>
						<th width="115">
							<?php esc_html_e( 'Exclude users from tracking :', 'wp-analytify' ); ?>
						</th>
						<td>
							<select multiple name="display_tracking_code[]" data-placeholder="<?php echo sprintf( esc_html__( 'Select user roles to exclude', 'wp-analytify' ) ); ?>" class="analytify-chosen" style="width:306px">
								<?php

								if ( !isset( $wp_roles ) ) {

									$wp_roles = new WP_Roles();
								}

								foreach ( $wp_roles->role_names as $role => $name ) { ?>
								
								<option value="<?php echo $role; ?>"
									<?php

									if ( is_array( get_option( 'display_tracking_code' ) ) ) {

										selected( in_array( $role, get_option('display_tracking_code') ) );

									}

									?>>
									<?php echo $name; ?>
								</option>
								<?php 
							} 
							?>
						</select>
						<p class="description"><?php esc_html_e( 'Don\'t insert the tracking code for above user roles.', 'wp-analytify' ); ?></p>
					</td>
				</tr>
				<tr>
					<th width="115"><?php esc_html_e( 'Tracking code type :', 'wp-analytify' ); ?></th>
					<td width="877">
						<select name='tracking_code' class="analytify-chosen">
							<option value="universal" <?php selected( 'universal', get_option( 'analytify_tracking_code' ) ); ?>>
								Universal Code (analytics.js)
							</option>
							<option value="ga"  <?php selected( 'ga', get_option( 'analytify_tracking_code' ) ); ?>>
								Tranditional Code (ga.js)
							</option>

						</select>
						<p class="description"><?php echo sprintf( esc_html__( '%1$s Which type of tracking code to use i-e (Analytics.js , ga.js) Google recommends to use Analytics.js now %2$s Read More %3$s %4$s', 'wp-analytify' ), '<p>', '<a href="https://developers.google.com/analytics/devguides/collection/upgrade/reference/gajs-analyticsjs" target="_blank">', '</a>','</p>');?>
					</td>
				</tr>
				<tr>
					<th width="115"><?php esc_html_e( 'Profile for posts (Backend/Front-end) :', 'wp-analytify' ); ?></th>
					<td width="877">
						<?php

						if($hide_profile){

							echo '<p class="description"><strong>'. $single_profile_url . ' - '. $single_profile_name . '</strong></p>';

						}else{

							?>

							<select name='webprofile' data-placeholder="<?php echo sprintf( esc_html__( 'Choose profile for posts' ), 'wp-analytify' ); ?>"  tabindex="1" class="analytify-chosen">
								<option value=""></option>
								<?php foreach ( $profiles->items as $profile ) { ?>
								<option value="<?php echo $profile[ 'id' ];?>"
									<?php selected( $profile[ 'id' ], get_option( 'pt_webprofile' ) ); ?>>
									<?php echo $profile[ 'websiteUrl' ];?> - <?php echo $profile[ 'name' ];?>
								</option>
								<?php } ?>
							</select>

							<?php
							foreach ( $profiles->items as $profile ) { ?>
							<input type="hidden" name="<?php echo $profile[ 'id' ]; ?>-1" value="<?php echo $profile['webPropertyId'] ?>">
							<input type="hidden" name="<?php echo $profile[ 'id' ]; ?>-name" value="<?php echo $profile['name'] ?>">
							<input type="hidden" name="<?php echo $profile[ 'id' ]; ?>-url" value="<?php echo urlencode(urlencode( $profile['websiteUrl'] )); ?>">
							<?php 
						}
						?>

						<p class="description"><?php esc_html_e( 'Select your website profile for wp-admin edit pages and fron-end pages. Select profile which matches your current WordPress website.', 'wp-analytify' ); ?></p>

						<?php
					}
					?>

				</td>

			</tr>
			<tr>
				<th width="115"><?php esc_html_e( 'Profile for Dashboard :', 'wp-analytify' );?></th>
				<td width="877">
					<?php

					if($hide_profile){

						echo '<p class="description"><strong>'. $dashboard_profile_url . ' - '. $dashboard_profile_name . '</strong></p>';

					}else{
						?>

						<select name='webprofile_dashboard' data-placeholder="<?php echo sprintf( esc_html__( 'Choose profile for dashboard', 'wp-analytify' ) ); ?>" class="analytify-chosen">
							<option value=""></option>
							<?php foreach ($profiles->items as $profile) { ?>
							<option value="<?php echo $profile[ 'id' ];?>"
								<?php selected( $profile[ 'id' ], get_option( 'pt_webprofile_dashboard' )); ?>
								>
								<?php echo $profile[ 'websiteUrl' ];?> - <?php echo $profile[ 'name' ];?>
							</option>
							<?php } ?>
						</select>
						<?php 
						foreach ( $profiles->items as $profile ) { ?>
						<input type="hidden" name="<?php echo $profile[ 'id' ]; ?>" value="<?php echo urlencode(urlencode($profile[ 'websiteUrl' ])); ?>">
						<input type="hidden" name="<?php echo $profile[ 'id' ]; ?>-name" value="<?php echo $profile[ 'name' ]; ?>">
						<?php } ?>
						<p class="description"><?php esc_html_e( 'Select your website profile for Dashboard Stats. You can select your any Website profile. It will show Analytics for your selected website profile.', 'wp-analytify' ); ?></p>

						<?php
					}
					?>
				</td>
			</tr>
			<?php if(!$hide_profile): ?>
				<tr>
					<th width="115"><?php esc_html_e( 'Hide Profiles list :', 'wp-analytify' );?></th>
					<td width="877">
						<input type="checkbox" <?php checked($hide_profile, 1); ?> name="hide_profiles" value="1" />
						<p class="description"><?php esc_html_e( 'Hide the selection of profiles for Dashboard and Posts (Back-end/Front-end). Best to hide for your clients not to see other profiles.', 'wp-analytify' ); ?></p>
					</td>
				</tr>
			<?php endif;?>
			<tr>
				<th></th>
				<td>
					<p class="submit">
						<input type="submit" name="save_profile" value="<?php esc_html_e( 'Save Changes', 'wp-analytify' ); ?>" class="button-primary">
					</p>
				</td>
			</tr>
			<?php } ?>
		</tbody>
	</table>
</form>
<?php }

// Choose metrics for posts at front.
if( $tab == 'front' ) { ?>

<p class="description"><br /><?php esc_html_e( 'Following are the settings for front-end side. Google Analytics will appear under the posts, custom post types or pages at front-end.', 'wp-analytify' ); ?></p>

<form action="" method="post">
	<table width="1004" class="form-table">
		<tbody>
			<tr>
				<th width="115"><?php esc_html_e( 'Disable front-end :', 'wp-analytify' ); ?></th>
				<td>
					<input type="checkbox" name="disable_front" id="disable_front" value = "1"
					<?php if( get_option( 'analytify_disable_front') == 1 ) { echo 'checked'; } ?>>
					<p class="description"><?php esc_html_e( 'Check it, if you don\'t want to load Analytics at all. Remember, you can use Shortcodes still.', 'wp-analytify' ); ?></p>
				</td>
			</tr>
			<tr>
				<th width="115">
					<div class="disable">
						<?php esc_html_e( 'Show Analytics to (roles) :', 'wp-analytify' ); ?>
					</div>
				</th>
				<td>
					<div class="disable" >  
						<select multiple name="access_role[]" data-placeholder="<?php esc_html_e( 'Select user roles', 'wp-analytify' );?>" class="analytify-chosen" style="width:306px">
							<option value="every-one" 
							<?php
							if ( is_array( get_option( 'post_analytics_access' ) ) ) {
								selected( in_array( 'every-one', get_option('post_analytics_access') ) );
							}
							?>>
							Every One 
						</option>
						<?php

						if ( !isset( $wp_roles ) ) {
							$wp_roles = new WP_Roles();
						}

						$i = 0;

						foreach ( $wp_roles->role_names as $role => $name ) { ?>
						<option value="<?php echo $role; ?>"
							<?php
							if ( is_array( get_option( 'post_analytics_access' ) ) ) {
								selected( in_array( $role, get_option('post_analytics_access') ) );
							}
							?>>
							<?php echo $name; ?>
						</option>
						<?php
								} // end foreach
								?>
							</select>
						</div>
					</div> 
					<p class="description"><?php esc_html_e( 'Show Analytics to above selected user roles only.', 'wp-analytify' ); ?></p>  
				</td>
			</tr>
			<tr>
				<!-- Area For front-end settings -->
				<th width="115"><div class="disable" > 
					<?php esc_html_e( 'Analytics on Post types :' ,'wp-analytify' ); ?> </div>
				</th>
				<td>
					<div class="disable" >
						<select class="analytify-chosen" name="posts_front[]" data-placeholder="<?php esc_html_e( 'Select post types', 'wp-analytify' );?>" multiple="multiple" style="width:400px">
							<?php
							$args = array(
								'public'   => true,

								); 
							$post_types = get_post_types( $args );
							foreach ( $post_types as $post_type ) {
								?>
								<option value="<?php echo $post_type ?>" 
									<?php if ( is_array( get_option( 'analytify_posts_stats_front' ) ) ) {
										selected(in_array($post_type, get_option('analytify_posts_stats_front')));
									}  ?>>
									<?php echo $post_type; ?>
								</option>
								<?php } ?>
							</select>
						</div>
						<p class="description"><?php esc_html_e( 'Show Analytics under the above post types only.', 'wp-analytify' ); ?></p>  
					</td>
				</tr>
				<tr> 
					<tr>
						<!-- Area For frontend settings -->
						<th width="115"><div class="disable" > <?php esc_html_e( 'Front-end Analytics panels:' , 'wp-analytify' ); ?></div></th>
						<td>
							<div class="disable" > 
								<select class="analytify-chosen" name="frontend_stats[]" data-placeholder="<?php esc_html_e( 'Select analytics panels', 'wp-analytify' );?>" multiple style="width:306px">
									<option value="show-overall-front"
									<?php
									if ( is_array( get_option( 'post_analytics_settings_front' ) ) ) {
										selected(in_array("show-overall-front", get_option('post_analytics_settings_front')));
									}
									?>>
									<?php esc_html_e( 'General Stats', 'wp-analytify' ); ?>
								</option>
								<option value="show-country-front"
								<?php
								if ( is_array( get_option( 'post_analytics_settings_front' ) ) ) {
									selected( in_array( "show-country-front", get_option( 'post_analytics_settings_front' ) ) );
								}
								?>>
								<?php esc_html_e( 'Country Stats', 'wp-analytify' ); ?>
							</option>
							<option value="show-keywords-front"
							<?php
							if ( is_array ( get_option( 'post_analytics_settings_front' ) ) ) {
								selected( in_array( "show-keywords-front", get_option( 'post_analytics_settings_front' ) ) );
							}
							?>>
							<?php esc_html_e( 'Keywords Stats', 'wp-analytify' ); ?>
						</option>
						<option value="show-social-front"
						<?php
						if ( is_array ( get_option( 'post_analytics_settings_front' ) ) ) {
							selected( in_array( "show-social-front", get_option( 'post_analytics_settings_front' ) ) );
						}
						?>>
						<?php esc_html_e( 'Social Media Stats', 'wp-analytify' ); ?>
					</option>
					<option value="show-browser-front"
					<?php
					if ( is_array( get_option( 'post_analytics_settings_front' ) ) ) {
						selected( in_array( "show-browser-front", get_option( 'post_analytics_settings_front') ) );
					}
					?>>
					<?php esc_html_e( 'Browser Stats', 'wp-analytify' ); ?>
				</option>
				<option value="show-referrer-front"
				<?php
				if ( is_array( get_option( 'post_analytics_settings_front' ) ) ) {
					selected( in_array( "show-referrer-front", get_option( 'post_analytics_settings_front') ) );
				}
				?>>
				<?php esc_html_e( 'Referrers', 'wp-analytify' ); ?>
			</option>

			<option value="show-mobile-front"
			<?php
			if ( is_array ( get_option( 'post_analytics_settings_front' ) ) ) {
				selected( in_array( "show-mobile-front", get_option( 'post_analytics_settings_front' ) ) );
			}
			?>>
			<?php esc_html_e( 'Mobile devices Stats', 'wp-analytify' ); ?>
		</option>
		<option value="show-os-front"
		<?php
		if ( is_array ( get_option( 'post_analytics_settings_front' ) ) ) {
			selected( in_array( "show-os-front", get_option( 'post_analytics_settings_front' ) ) );
		}
		?>>
		<?php esc_html_e( 'Operating System Stats', 'wp-analytify' ); ?>
	</option>
	<option value="show-city-front"
	<?php
	if ( is_array ( get_option( 'post_analytics_settings_front' ) ) ) {
		selected( in_array( "show-city-front", get_option( 'post_analytics_settings_front' ) ) );
	}
	?>>
	<?php esc_html_e( 'City Stats', 'wp-analytify' ); ?>
</option>
</select>
</div>
<p class="description"><?php esc_html_e( 'Select which Stats panels you want to display at front-end.', 'wp-analytify' ); ?></p>  
</td>
</tr>
<tr>
	<th width="115"><div class="disable" ><?php esc_html_e( 'Exclude Analytics on specific pages:', 'wp-analytify' ); ?></div></th>
	<td>
		<div class="disable">
			<input type="text" name="exclude_posts_front" id="exclude_posts_front" class="regular-text" value="<?php echo get_option('post_analytics_exclude_posts_front'); ?>" />
		</div>
		<p class="description"><?php echo sprintf( esc_html__('Enter ID\'s of posts or pages separated by commas on which you don\'t want to show Analytics e.g %1$s', 'wp-analytify' ), ' 11,45,66'); ?></p>  
	</td>
</tr>
<tr>
	<th></th>
	<td>
		<p class="submit"> <input type="submit" name="save_settings_front" value="<?php esc_html_e( 'Save Changes', 'wp-analytify' ); ?>" class="button-primary"></p>
	</td>
</tr>
</tbody>
</table>
</form>
<?php }

	// Choose metrics for posts at admin.
if( $tab == 'admin' ) { ?>

<p class="description"><br /><?php esc_html_e( 'Following are the settings for Admin side. Google Analytics will appear under the posts, custom post types or pages.', 'wp-analytify' ); ?></p>

<form action="" method="post">
	<table width="1004" class="form-table">
		<tbody>
			<tr></tr>
			<tr>
				<th><?php _e( 'Disable Analytics under posts/pages (wp-admin):', 'wp-analytify' ) ?></th>
				<td>
					<input type="checkbox" name="disable_back" value="1" <?php if ( get_option( 'post_analytics_disable_back') == 1 ) { ?> checked <?php } ?>>
					<p class="description"><?php esc_html_e( 'Check it, If you don\'t want to load Stats by default on all pages. Remember, There is a section under each post/page. You can still view Stats on pages you want.', 'wp-analytify' ); ?></p>
				</td>

			</tr>
			<tr>
				<th width="115"><?php esc_html_e( 'Show Analytics to (roles) :', 'wp-analytify' ); ?></th>
				<td>
					<select multiple name="access_role_back[]" data-placeholder="<?php esc_html_e( 'Select user roles', 'wp-analytify' );?>"  class="analytify-chosen" style="width:400px">
						<?php
						if ( !isset( $wp_roles ) ){

							$wp_roles = new WP_Roles();
						}

						$i=0;
						foreach ( $wp_roles->role_names as $role => $name ) {

							if ($role!='subscriber'){

								$i++;

								?>
								<option value="<?php echo $role; ?>"
									<?php

									if ( is_array( get_option( 'post_analytics_access_back' ) ) ) {
										selected( in_array( $role, get_option( 'post_analytics_access_back' ) ) );
									}
									?>>
									<?php echo $name; ?>
								</option>
								<?php
							}
						}
						?>
					</select>
					<p class="description"><?php esc_html_e( 'Show Analytics to above selected user roles only.', 'wp-analytify' ); ?></p>
				</td>
			</tr>
			<tr>
				<!-- Area For backend settings -->
				<th width="115"><?php esc_html_e( 'Analytics on Post types :' ,'wp-analytify' ); ?></th>
				<td>
					<select class="analytify-chosen" name="posts[]" data-placeholder="<?php esc_html_e( 'Select post types', 'wp-analytify' );?>" multiple="multiple" style="width:400px">
						<?php
						$args = array(
							'public'   => true,
							); 
						$post_types = get_post_types( $args );
						foreach ( $post_types as $post_type ) {?>

						<option value="<?php echo $post_type ?>" 
							<?php 
							if ( is_array( get_option( 'analytify_posts_stats' ) ) ) {
								selected(in_array($post_type, get_option('analytify_posts_stats')));
							}  ?>>
							<?php echo $post_type; ?>
						</option>

						<?php 
					} 
					?>
				</select>
				<p class="description"><?php esc_html_e( 'Show Analytics under the above post types only.', 'wp-analytify' ); ?></p>
			</td>
		</tr>
		<tr>
			<!-- Area For backend settings -->
			<th width="115"><?php esc_html_e( 'Edit pages/posts Analytics panels:', 'wp-analytify' ); ?></th>
			<td>
				<select class="analytify-chosen" name="backend[]" data-placeholder="<?php esc_html_e( 'Select analytics panels', 'wp-analytify' );?>" multiple="multiple" style="width:400px">
					<option value="show-overall-back"
					<?php
					if ( is_array( get_option( 'post_analytics_settings_back' ) ) ) {
						selected(in_array("show-overall-back", get_option('post_analytics_settings_back')));
					}
					?>>
					<?php esc_html_e( 'General Stats', 'wp-analytify' ); ?>
				</option>
				<option value="show-country-back"
				<?php
				if ( is_array( get_option( 'post_analytics_settings_back' ) ) ) {
					selected( in_array( "show-country-back", get_option( 'post_analytics_settings_back' ) ) );
				}
				?>>
				<?php esc_html_e( 'Country Stats', 'wp-analytify' ); ?>
			</option>

			<option value="show-keywords-back"
			<?php
			if ( is_array ( get_option( 'post_analytics_settings_back' ) ) ) {
				selected( in_array( "show-keywords-back", get_option( 'post_analytics_settings_back' ) ) );
			}
			?>>
			<?php esc_html_e( 'Keywords Stats', 'wp-analytify' ); ?>
		</option>
		<option value="show-social-back"
		<?php
		if ( is_array ( get_option( 'post_analytics_settings_back' ) ) ) {
			selected( in_array( "show-social-back", get_option( 'post_analytics_settings_back' ) ) );
		}
		?>>
		<?php esc_html_e( 'Social Media Stats', 'wp-analytify' ); ?>
	</option>
	<option value="show-browser-back"
	<?php
	if ( is_array( get_option( 'post_analytics_settings_back' ) ) ) {
		selected( in_array( "show-browser-back", get_option( 'post_analytics_settings_back') ) );
	}
	?>>
	<?php esc_html_e( 'Browser Stats', 'wp-analytify' ); ?>
</option>
<option value="show-referrer-back"
<?php
if ( is_array( get_option( 'post_analytics_settings_back' ) ) ) {
	selected( in_array( "show-referrer-back", get_option( 'post_analytics_settings_back') ) );
}
?>>
<?php esc_html_e( 'Referrers', 'wp-analytify' ); ?>
</option>
<option value="show-pages-back"
<?php
if ( is_array( get_option( 'post_analytics_settings_back' ) ) ) {
	selected( in_array( "show-pages-back", get_option( 'post_analytics_settings_back' ) ) );
}
?>>
<?php esc_html_e( ' Page bounce and exit stats', 'wp-analytify' ); ?>
</option>
<option value="show-mobile-back"
<?php
if ( is_array ( get_option( 'post_analytics_settings_back' ) ) ) {
	selected( in_array( "show-mobile-back", get_option( 'post_analytics_settings_back' ) ) );
}
?>>
<?php esc_html_e( 'Mobile Devices Stats', 'wp-analytify' ); ?>
</option>
<option value="show-os-back"
<?php
if ( is_array ( get_option( 'post_analytics_settings_back' ) ) ) {
	selected( in_array( "show-os-back", get_option( 'post_analytics_settings_back' ) ) );
}
?>>
<?php esc_html_e( 'Operating System Stats', 'wp-analytify' ); ?>
</option>
<option value="show-city-back"
<?php
if ( is_array ( get_option( 'post_analytics_settings_back' ) ) ) {
	selected( in_array( "show-city-back", get_option( 'post_analytics_settings_back' ) ) );
}
?>>
<?php esc_html_e( 'City Stats', 'wp-analytify' ); ?>
</option>
</select>
<p class="description"><?php esc_html_e( 'Select which Stats panels you want to display under posts/pages.', 'wp-analytify' ); ?></p>
</td>
</tr>
<tr>
	<th width="115"><?php esc_html_e( 'Exclude Analytics on specific pages:', 'wp-analytify' ); ?></th>
	<td>
		<input type="text" name="exclude_posts_back" id="exclude_posts_back" value="<?php echo get_option('post_analytics_exclude_posts_back'); ?>" class="regular-text" />
		<p class="description"><?php echo sprintf( esc_html__('Enter ID\'s of posts or pages separated by commas on which you don\'t want to show Analytics e.g %1$s', 'wp-analytify' ), '11,45,66'); ?></p>
	</td>
</tr>
<tr>
	<th></th>
	<td>
		<p class="submit">
			<input type="submit" name="save_settings_admin" value="<?php esc_html_e( 'Save Changes', 'wp-analytify' ); ?>" class="button-primary">
		</p>
	</td>
</tr>
</tbody>
</table>
</form>
<?php 
}


	// Choose settings for Analytify dashboard.
if( $tab == 'dashboard' ) {
	?>

	<div class="wrap">
		<form action="" method="post">
			<table width="1004" class="form-table">
				<tbody>
					<tr></tr>
					<tr>
						<th><?php esc_html_e( 'Delete Cache:', 'wp-analytify' ); ?></th>
						<td>
							<input type="checkbox" name="analytify_dashboard_cache" value="1" <?php if ( get_option( 'analytify_dashboard_cache') == 1 ) { ?> checked <?php } ?>>
							<p class="description"><?php esc_html_e( 'Analytify dashboard (except Real Time Stats) is saving results for 20 hours. If you want to fetch the current stats, Enable this check and Press \'Save Changes\' below.', 'wp-analytify' ); ?></p>
						</td>

					</tr>
					<tr>
						<th width="115"><?php esc_html_e( 'Show Dashboard to (roles) :', 'wp-analytify' ); ?></th>
						<td>
							<select multiple name="access_role_dashboard[]" data-placeholder="<?php esc_html_e( 'Select user roles', 'wp-analytify' );?>" class="analytify-chosen" style="width:400px">
								<?php
								if ( !isset( $wp_roles ) ){

									$wp_roles = new WP_Roles();
								}

								$i=0;
								foreach ( $wp_roles->role_names as $role => $name ) {

									if ($role!='subscriber'){

										$i++;

										?>
										<option value="<?php echo $role; ?>"
											<?php

											if ( is_array( get_option( 'access_role_dashboard' ) ) ) {
												selected( in_array( $role, get_option( 'access_role_dashboard' ) ) );
											}
											?>>
											<?php echo $name; ?>
										</option>
										<?php
									}
								}
								?>
							</select>
							<p class="description"><?php esc_html_e( 'Show Analytify Dashboard to above selected user roles only.', 'wp-analytify' ); ?></p>
						</td>
					</tr>
					<tr>
						<!-- Area For backend settings -->
						<th width="115"><?php esc_html_e( 'Dashboard Analytics panels:', 'wp-analytify' ); ?></th>
						<td>
							<select class="analytify-chosen" name="dashboard_panels[]" data-placeholder="<?php esc_html_e( 'Select analytics panels', 'wp-analytify' );?>" multiple="multiple" style="width:400px">

								<option value="show-real-time"
								<?php
								if ( is_array( get_option( 'dashboard_panels' ) ) ) {
									selected(in_array("show-real-time", get_option('dashboard_panels')));
								}
								?>>
								<?php esc_html_e( 'RealTime Stats', 'wp-analytify' ); ?>
							</option>
							<option value="show-overall-dashboard"
							<?php
							if ( is_array( get_option( 'dashboard_panels' ) ) ) {
								selected(in_array("show-overall-dashboard", get_option('dashboard_panels')));
							}
							?>>
							<?php esc_html_e( 'General Stats', 'wp-analytify' ); ?>
						</option>
						<option value="show-country-dashboard"
						<?php
						if ( is_array( get_option( 'dashboard_panels' ) ) ) {
							selected( in_array( "show-country-dashboard", get_option( 'dashboard_panels' ) ) );
						}
						?>>
						<?php esc_html_e( 'Country Stats', 'wp-analytify' ); ?>
					</option>

						<option value="show-top-pages-dashboard"
						<?php
						if ( is_array( get_option( 'dashboard_panels' ) ) ) {
							selected( in_array( "show-top-pages-dashboard", get_option( 'dashboard_panels' ) ) );
						}
						?>>
						<?php esc_html_e( 'Top Pages Stats', 'wp-analytify' ); ?>
					</option>

					<option value="show-keywords-dashboard"
					<?php
					if ( is_array ( get_option( 'dashboard_panels' ) ) ) {
						selected( in_array( "show-keywords-dashboard", get_option( 'dashboard_panels' ) ) );
					}
					?>>
					<?php esc_html_e( 'Keywords Stats', 'wp-analytify' ); ?>
				</option>
				<option value="show-social-dashboard"
				<?php
				if ( is_array ( get_option( 'dashboard_panels' ) ) ) {
					selected( in_array( "show-social-dashboard", get_option( 'dashboard_panels' ) ) );
				}
				?>>
				<?php esc_html_e( 'Social Media Stats', 'wp-analytify' ); ?>
			</option>
			<option value="show-browser-dashboard"
			<?php
			if ( is_array( get_option( 'dashboard_panels' ) ) ) {
				selected( in_array( "show-browser-dashboard", get_option( 'dashboard_panels') ) );
			}
			?>>
			<?php esc_html_e( 'Browser Stats', 'wp-analytify' ); ?>
		</option>
		<option value="show-referrer-dashboard"
		<?php
		if ( is_array( get_option( 'dashboard_panels' ) ) ) {
			selected( in_array( "show-referrer-dashboard", get_option( 'dashboard_panels') ) );
		}
		?>>
		<?php esc_html_e( 'Referrers', 'wp-analytify' ); ?>
	</option>
	<option value="show-page-stats-dashboard"
	<?php
	if ( is_array( get_option( 'dashboard_panels' ) ) ) {
		selected( in_array( "show-page-stats-dashboard", get_option( 'dashboard_panels' ) ) );
	}
	?>>
	<?php esc_html_e( ' Page bounce and exit stats ', 'wp-analytify' );  ?>
</option>
<option value="show-mobile-dashboard"
<?php
if ( is_array ( get_option( 'dashboard_panels' ) ) ) {
	selected( in_array( "show-mobile-dashboard", get_option( 'dashboard_panels' ) ) );
}
?>>
<?php esc_html_e( 'Mobile Devices Stats', 'wp-analytify' ); ?>
</option>
<option value="show-os-dashboard"
<?php
if ( is_array ( get_option( 'dashboard_panels' ) ) ) {
	selected( in_array( "show-os-dashboard", get_option( 'dashboard_panels' ) ) );
}
?>>
<?php esc_html_e( 'Operating System Stats', 'wp-analytify' ); ?>
</option>
<option value="show-city-dashboard"
<?php
if ( is_array ( get_option( 'dashboard_panels' ) ) ) {
	selected( in_array( "show-city-dashboard", get_option( 'dashboard_panels' ) ) );
}
?>>
<?php esc_html_e( 'City Stats', 'wp-analytify' ); ?>
</option>
</select>
<p class="description"><?php esc_html_e( 'Select which Stats panels you want to see at Dashboard.', 'wp-analytify' ); ?></p>
</td>
</tr>
<tr>
	<th></th>
	<td>
		<p class="submit">
			<input type="submit" name="save_settings_dashboard" value="<?php esc_html_e( 'Save Changes', 'wp-analytify' ); ?>" class="button-primary">
		</p>
	</td>
</tr>
</tbody>
</table>
</form>
</div>

<?php
}

	// Advanced Tab section
	if( $tab == 'advanced' ) {
		?>

		<form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post" name="settings_form" id="settings_form">
			<table width="1004" class="form-table">
				<tbody>
					<tr>
						<td width="877" colspan="2">
						<input type="checkbox" <?php if( get_option( 'ANALYTIFY_USER_KEYS' ) == 'Yes') echo 'checked'; ?> name="auth_step" id="auth_step" value="Yes" />
							<?php esc_html_e( 'Do you want to use your own API keys ?', 'wp-analytify' ); ?>
						</td>
					</tr>

					<tr class="user_keys">
						<td colspan="2"><?php echo sprintf( esc_html__('%1$s You need to create a Project in Google %2$s Console %3$s Read this simple 3 minutes %4$s tutorial %5$s to get your ClientID, Client Secret, Redirect URI and API Key and enter them in below inputs. %6$s' , 'wp-analytify' ), '<p class="description">', '<a target="_blank" href="https://console.developers.google.com/project">', '</a>', '<a target="_blank" href="http://wp-analytify.com/google-api-tutorial">', '</a>', '</p>')?></td>
					</tr>

					<tr class="user_keys">

						<th><?php esc_html_e( 'ClientID:', 'wp-analytify' );?></th>
						<td>
							<input type="text" placeholder="<?php esc_html_e( 'Your ClientID', 'wp-analytify' )?>" name="analytify_clientid" id="analytify_clientid" value="<?php echo get_option('ANALYTIFY_CLIENTID'); ?>" style="width:450px;"/>
						</td>
					</tr>

					<tr class="user_keys">
						<th><?php esc_html_e( 'Client Secret:', 'wp-analytify' );?></th>
						<td>
							<input type="text" placeholder="<?php esc_html_e( 'Your Client Secret')?>" name="analytify_clientsecret" id="analytify_clientsecret" value="<?php echo get_option('ANALYTIFY_CLIENTSECRET'); ?>" style="width:450px;"/>
						</td>
					</tr>

					<tr class="user_keys">
						<th width="115"><?php esc_html_e( 'API Key:', 'wp-analytify' );?></th>
						<td width="877">
							<input type="text" placeholder="<?php esc_html_e( 'Your API Key', 'wp-analytify' )?>" name="analytify_apikey" id="analytify_apikey" value="<?php echo get_option('ANALYTIFY_DEV_KEY'); ?>" style="width:450px;"/>
							<p class="description"><?php esc_html_e( '(Optional)', 'wp-analytify' );?></p>
						</td>
					</tr>

					<tr class="user_keys">
						<th width="115"><?php esc_html_e( 'Redirect URI:', 'wp-analytify' );?></th>
						<td width="877">
							<input type="text" placeholder="<?php esc_html_e( 'Your Redirect URI', 'wp-analytify' )?>" name="analytify_redirect_uri" id="analytify_redirect_uri" value="<?php echo get_option('ANALYTIFY_REDIRECT_URI'); ?>" style="width:450px;"/>
							<p class="description"><?php esc_html_e( '(Redirect URI is very important when you are using your own Keys)', 'wp-analytify' );?></p>
						</td>
					</tr>					

					<tr>
						<th></th>
						<td>
							<p class="submit">
								<input type="submit" class="button-primary" value="<?php esc_html_e( 'Save Changes', 'wp-analytify' ); ?>" name="save_code" />
							</p>
						</td>
					</tr>
				</tbody>
			</table>
		</form>

		<?php
	} // endif

	// Plugin license Tab section
if( $tab == 'license' ) {

	$license  = get_option( 'analytify_license_key' );
	$status   = get_option( 'analytify_license_status' );

	?>
	<div class="wrap">
		<form method="post" action="options.php">

			<?php settings_fields('analytify-settings'); ?>
			<p class="description" for="analytify_license_key"><?php esc_html_e( 'Enter your license key(s). It is important to have a valide license for automatic plugin updates and support. After adding license key, press Save Changes and then press Activate button.', 'wp-analytify' ); ?></p>
			<table class="form-table">
				<tbody>
					<tr valign="top"> 
						<th scope="row" valign="top">
							<?php esc_html_e( 'Analytify PRO (License Key):', 'wp-analytify' ); ?>
						</th>
						<td>
							<input id="analytify_license_key" name="analytify_license_key" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" />
						</td>
					</tr>

					<?php if( !empty( $license ) ) { ?>
					<tr valign="top"> 
						<th scope="row" valign="top">

						</th>
						<td>
							<?php if( $status !== false && $status == 'valid' ) { ?>
							<span style="color:green;"><?php esc_html_e( 'Active', 'wp-analytify' ); ?></span>
							<?php wp_nonce_field( 'analytify_nonce', 'analytify_nonce' ); ?>
							<input type="submit" class="button-secondary" name="analytify_license_deactivate" value="<?php esc_html_e( 'Deactivate License', 'wp-analytify' ); ?>"/>
							<?php } else {
								wp_nonce_field( 'analytify_nonce', 'analytify_nonce' ); ?>
								<span style="color:red;"><?php echo $status; ?></span>
								<input type="submit" class="button-secondary" name="analytify_license_activate" value="<?php esc_html_e( 'Activate License', 'wp-analytify' ); ?>"/>
								<?php } ?>
							</td>
						</tr>
						<?php } ?>

						<?php do_action('edd_license_key'); ?>
						<?php do_action('woocommerce_license_key'); ?>


					</tbody>
				</table>
				<?php submit_button(); ?>
			</form>

			<?php } ?>

		</div>
	</div>
	<div class="right-area">
		<div class="postbox-container side">
			<div class="metabox-holder">
			<div class="cen">
				Tweet us <a href="https://twitter.com/wpanalytify" style="text-decoration:none;"> @twitter </a> and Like us <a href="https://fb.com/analytify" style="text-decoration:none;">@facebook</a>
				</div>
				<div class="grids_auto_size wpa_side_box" style="width: 95%;">
					<div class="grid_title cen"><?php esc_html_e( 'Support', 'wp-analytify' ); ?></div>

					<div class="grid_footer cen" style="background-color:white;">
					<?php echo sprintf( esc_html__('%1$s Click here %2$s to get the support of Analytify. You can submit bug reports and give us suggestions as well.', 'wp-analytify' ), '<a href="http://wpbrigade.com/forums/forum/analytify-makes-google-analytics-simple-for-wordpress/" title="Analytify Support">', '</a>')?>
					</div>
				</div>
				<!-- <div class="grids_auto_size wpa_side_box" style=" width: 95%;">
					<div class="grid_title cen"> <?php echo sprintf( esc_html__( 'CREDITS (v - %1$s)', 'wp-analytify' ), ANALYTIFY_VERSION ); ?></div>

					<div class="grid_footer cen" style="background-color:white;">
					<a href="https://wp-analytify.com" title="Analytify WordPress Plugin" /> WP Analytify - Makes Google Analytics Simple for WordPress. </a><br><br>
					<?php
					echo sprintf( esc_html__( 'Product by', 'wp-analytify' ) );
					?>
					<a href="http://wpbrigade.com" title="WPBrigade | A Brigade of WordPress Developers." />WPBrigade</a>
					</div>
				</div> -->
				<div class="grids_auto_size wpa_side_box" style=" width: 95%;">
				<div class="grid_footer cen">
					made with ♥ by <a href="http://wpbrigade.com" title="WPBrigade | A Brigade of WordPress Developers." />WPBrigade</a>
				</div>
			</div>
			</div>
		</div>
	</div>